		include	build_rom_info.asm
		include	language_info.asm
		
		org	0
		org	$1FFFFF
		dc.b	0
		
		org	0
		IF	(EXT_RES=0)
			IF	(EXPANDED_MAP=0)
			incbin	base_rom\DuneHack_r82.bin
			ELSE
			incbin	base_rom\DuneHack_r82_x128.bin
			ENDIF
			
		ELSE
		
			IF	(EXPANDED_MAP=0)
			incbin	base_rom\DuneHack_r82_480x464.bin
			ELSE
			incbin	base_rom\DuneHack_r82_x128_480x464.bin
			ENDIF
		ENDIF		
		
		org	$268
		include	misc\block_type.asm

		org	$24000		
		include	gems\gems_ptr.asm
		include misc\surfaces.asm
		include	misc\harv_bonus.asm
		include misc\region_colors.asm
		include	misc\ai_units_attack.asm
		include misc\spice_quanity.asm
		include	misc\spice_regen.asm
		include misc\units_ai.asm
		include	misc\ai_cheat.asm
		include misc\upgrades.asm
		include misc\camps.asm
		include misc\house_info.asm
		include misc\diff_levels.asm
		include misc\sounds.asm
		include misc\radar_map_colors.asm
		include	misc\intro.asm	
		
ru_names_flag:	dc.b	RU_NAMES
ru_gfx_flag:	dc.b	RU_GFX
new_music_flag:	dc.b	NEW_SOUND_DRV
ru_passw_flag:	dc.b	RU_PASSWORD
skip_intro_f:	dc.b	SKIP_INTRO
test_mission_n: dc.b	TEST_MISSION
default_diff:	dc.b	INIT_DIFFICULTY
map_load_modify	dc.b	MAP_LOADMODIF ;   b0->7f  c0->bf   
test_house_flg:	dc.b	TEST_HOUSE
	include	gfx\mentat\mentat.asm
		even
		
txt_present_ptr:	dc.l	asc_173F4
txt_start_ptr:		dc.l	asc_173FC
txt_options_ptr:	dc.l	asc_17407
txt_level_ptr:		dc.l	asc_level

txt_are_you_sure_ptr:	dc.l	asc_21A32
txt_empty_ptr:		dc.l	asc_21A40
txt_yes_no_ptr:		dc.l	asc_21A4E
		
txt_upgrade_ptr:	dc.l	asc_276BE		
txt_dmg_ptr:		dc.l	asc_276CC
txt_out_of_stock_ptr:	dc.l	asc_27904

the_end_txt_ptr:	dc.l	the_end_txt
end_titles_ptr:		dc.l	end_titles

music_test_dat_ptr:	dc.l	music_test_dat
sound_test_dat_ptr:	dc.l	snd_test_data

level_names:
		dc.l	level_e
		dc.l	level_n
		dc.l	level_h
		dc.l	level_m
		
bmenu_anim1_pos_ptr:		dc.l	bmenu_anim1_pos	
bmenu_anim1_size_ptr:		dc.l	bmenu_anim1_size
bmenu_anim1_fcnt_ptr:		dc.l	bmenu_anim1_fcnt
bmenu_anim1_time_ptr:		dc.l	bmenu_anim1_time
bmenu_anim1_ptr:		dc.l	bmenu_anim1
		
bmenu_anim2_pos_ptr:		dc.l	bmenu_anim2_pos	
bmenu_anim2_size_ptr:		dc.l	bmenu_anim2_size
bmenu_anim2_fcnt_ptr:		dc.l	bmenu_anim2_fcnt
bmenu_anim2_time_ptr:		dc.l	bmenu_anim2_time
bmenu_anim2_ptr:		dc.l	bmenu_anim2

bmenu_anim3_pos_ptr:		dc.l	bmenu_anim3_pos	
bmenu_anim3_size_ptr:		dc.l	bmenu_anim3_size
bmenu_anim3_fcnt_ptr:		dc.l	bmenu_anim3_fcnt
bmenu_anim3_time_ptr:		dc.l	bmenu_anim3_time
bmenu_anim3_ptr:		dc.l	bmenu_anim3

smenu_anim1_pos_ptr:		dc.l	smenu_anim1_pos
smenu_anim1_size_ptr:		dc.l	smenu_anim1_size
smenu_anim1_fcnt_ptr:		dc.l	smenu_anim1_fcnt
smenu_anim1_time_ptr:		dc.l	smenu_anim1_time
smenu_anim1_ptr:		dc.l	smenu_anim1

smenu_anim2_pos_ptr:		dc.l	smenu_anim2_pos	
smenu_anim2_size_ptr:		dc.l	smenu_anim2_size
smenu_anim2_fcnt_ptr:		dc.l	smenu_anim2_fcnt
smemu_anim2_time_ptr:		dc.l	smenu_anim2_time
smenu_anim2_ptr:		dc.l	smenu_anim2


		include gfx\menu\starport_anim_flags.asm
		
		include misc\ranks_points.asm
		
		include texts\options.asm
		include texts\ranks.asm
		include	texts\ranks_rus.asm
		include	texts\passw_tbl_rus.asm

		include misc\dmg_table.asm
		include	misc\weapon_anims.asm
		include	units\units_extras.asm
		include	units\units_extras2.asm
		include	units\script_id.asm
		include buildings\turret_dmg.asm
		include buildings\can_build.asm	
		include	buildings\starport_stock.asm
		include gfx\block_nums.asm		
		include gfx\palettes\gamepal.asm
		include gfx\palettes\regions.asm
		include	gfx\palettes\ending.asm
		include gfx\palettes\ico_fact_pal.asm
	
		
		IF	(RU_GFX=1)
tiles_lose:
		incbin	gfx\win_lose\lose_rus.smd
tiles_vict:
		incbin	gfx\win_lose\victory_rus.smd
yes_no_btn_gfx:
		incbin	gfx\mentat\buttons\yes_no_rus.smd
advc_procd_gfx:
		incbin	gfx\mentat\buttons\proceed_advice_rus.smd		
icons_exit:
		incbin	gfx\small_icons\exit_ru.smd
icons_fix:
		incbin	gfx\small_icons\fix_ru.smd
icons_stop:
		incbin	gfx\small_icons\stop_ru.smd
icons_fix2:
		incbin	gfx\small_icons\fix2_ru.smd
icons_stop2:
		incbin	gfx\small_icons\stop2_ru.smd	
		
		ELSE
tiles_lose:
		incbin	gfx\win_lose\lose.smd
tiles_vict:
		incbin	gfx\win_lose\victory.smd
yes_no_btn_gfx:
		incbin	gfx\mentat\buttons\yes_no.smd
advc_procd_gfx:
		incbin	gfx\mentat\buttons\proceed_advice.smd
icons_exit:
		incbin	gfx\small_icons\exit.smd
icons_fix:
		incbin	gfx\small_icons\fix.smd
icons_stop:
		incbin	gfx\small_icons\stop.smd
icons_fix2:
		incbin	gfx\small_icons\fix2.smd
icons_stop2:
		incbin	gfx\small_icons\stop2.smd		
		
		ENDC

		
score_pics_gfx:	dc.w (scend-scptr)/32
		dc.l scptr
		dc.w 0	
		
losepic_gfx:	dc.w (lpend-lpptr)/32
		dc.l lpptr
		dc.w 0

winpic_gfx:	dc.w (wpend-wpptr)/32
		dc.l wpptr
		dc.w 0		
		
losepic_map:	dc.w 3584
		dc.l losepic_map1
		dc.w 0
		
losepic_maps:	dc.l losepic_map1
		dc.l losepic_map2
		dc.l losepic_map3
		dc.l losepic_map4

winpic_map:	dc.w 3584
		dc.l winpic_map1
		dc.w 0		
		
winpic_maps:	dc.l winpic_map1
		dc.l winpic_map2
		dc.l winpic_map3
		dc.l winpic_map4
		
title_scr_map1:	dc.w 4096
		dc.l logos_tilemap_part1
		dc.w 4096
		dc.l logos_tilemap_part2
		dc.w 0

title_scr_map2:	dc.w 4096
		dc.l title_tilemap_part1
		dc.w 4096
		dc.l title_tilemap_part2
		dc.w 0
		
title_scr_gfx:	dc.w (title_tileset_end-title_tileset)/32 ; tiles count
		dc.l title_tileset
		dc.w 0		

finalscr_map:	dc.w 3584
		dc.l ending_tilemap
		dc.w 0
		
finalscr_gfx:	dc.w (ending_tileset_end-ending_tileset)/32
		dc.l ending_tileset
		dc.w 0

score_pic1_gfx:	dc.w (scorepic1_gfx_end-scorepic1_gfx)/32
		dc.l scorepic1_gfx
		dc.w 0
		
score_pic2_gfx:	dc.w (scorepic2_gfx_end-scorepic2_gfx)/32
		dc.l scorepic2_gfx
		dc.w 0
		
score_pic3_gfx:	dc.w (scorepic3_gfx_end-scorepic3_gfx)/32
		dc.l scorepic3_gfx
		dc.w 0
		
houses_map:	dc.w 3584
		dc.l herbs_tilemap
		dc.w 0
		
houses_gfx:	dc.w (herbs_gfx_end-herbs_gfx)/32
    		dc.l herbs_gfx
    		dc.w 0
		
build_menu_map:	dc.w 3584
		dc.l bmmap_ptr
		dc.w 0
		
build_menu_gfx:	dc.w (bmend-bmptr)/32
		dc.l bmptr
		dc.w 0	

option_m_map:	dc.w 3584
		dc.l ommap_ptr
		dc.w 0
		
option_m_gfx:	dc.w (omend-omptr)/32
		dc.l omptr
		dc.w 0		
	
passw_menu_map:	dc.w 3584
		dc.l pmap_ptr
		dc.w 0
 
passw_menu_gfx:	dc.w (pmend-pmptr)/32
		dc.l pmptr
		dc.w 0		
	
starport_m_map:	dc.w 3584
		dc.l smap_ptr
		dc.w 0
		
starport_m_gfx:	dc.w (smend-smptr)/32
		dc.l smptr
		dc.w 0

game_gfx:	dc.w (gmend-gmptr)/32
		dc.l gmptr
		dc.w 0		
		
intro_ships_gx:	dc.w 128
		dc.l intro_ship_gfx
		dc.w 128
		dc.l intro_ship_gfx+4096
		dc.w 24
		dc.l intro_ship_gfx+8192
		dc.w 0
intro_ship_gfx:
 incbin	gfx\title\intship1.smd
 incbin	gfx\title\intship2.smd
 incbin gfx\title\intship3.smd
 incbin gfx\title\intship4.smd
 incbin gfx\title\intship5.smd

mentat_cur_gfx:
 incbin	gfx\mentat\buttons\mentcurs.smd
 
region_arrows:
 incbin	gfx\mentat\buttons\arrows.smd		

mentat_cur_pal:
 incbin	gfx\menu\mentcurs_pal.bin
 
options_mf_pal:
 incbin	gfx\menu\options\optmenuf_pal.bin 
 
option_m_pal:
 incbin	gfx\menu\options\optsmenu_pal1.bin
 incbin	gfx\menu\options\optsmenu_pal2.bin
 incbin	gfx\menu\options\optsmenu_pal3.bin
 incbin	gfx\menu\options\optsmenu_pal4.bin 
 
passw_menu_pal:
 incbin	gfx\menu\password\passmenu_pal1.bin
 incbin	gfx\menu\password\passmenu_pal2.bin
 incbin	gfx\menu\password\passmenu_pal3.bin
 incbin	gfx\menu\password\passmenu_pal4.bin 

build_menu_pal:
 incbin	gfx\menu\building\builmenu_pal3.bin
 incbin	gfx\menu\building\builmenu_pal4.bin 

starport_pal:
 incbin	gfx\menu\starport\starport_pal1.bin
 incbin	gfx\menu\starport\starport_pal2.bin
 incbin	gfx\menu\starport\starport_pal3.bin
 incbin	gfx\menu\starport\starport_pal4.bin 

title_scr_pal:
 incbin	gfx\title\titlescr_pal1.bin
 incbin	gfx\title\titlescr_pal2.bin
 incbin	gfx\title\titlescr_pal3.bin
 incbin	gfx\title\titlescr_pal4.bin 

intro_main_pal:
 incbin	gfx\title\intrmain_pal1.bin
 incbin	gfx\title\intrmain_pal2.bin
 incbin	gfx\title\intrmain_pal3.bin
 incbin	gfx\title\intrmain_pal4.bin
 
intro_ship_pal:
 incbin	gfx\title\intrship_pal.bin
 
score_scrn1_pal:
 incbin	gfx\win_lose\scorescr1\scorescr1_pal1.bin
 incbin	gfx\win_lose\scorescr1\scorescr1_pal2.bin
 incbin	gfx\win_lose\scorescr1\scorescr1_pal3.bin
 incbin	gfx\win_lose\scorescr1\scorescr1_pal4.bin 
 
score_scrn2_pal:
 incbin	gfx\win_lose\scorescr2\scorescr2_pal1.bin
 incbin	gfx\win_lose\scorescr2\scorescr2_pal2.bin
 incbin	gfx\win_lose\scorescr2\scorescr2_pal3.bin
 incbin	gfx\win_lose\scorescr2\scorescr2_pal4.bin 

score_scrn3_pal:
 incbin	gfx\win_lose\scorescr3\scorescr3_pal1.bin
 incbin	gfx\win_lose\scorescr3\scorescr3_pal2.bin
 incbin	gfx\win_lose\scorescr3\scorescr3_pal3.bin
 incbin	gfx\win_lose\scorescr3\scorescr3_pal4.bin 
 
losepic_pal:
 incbin	gfx\win_lose\losepic\losepic_pal1.bin
 incbin	gfx\win_lose\losepic\losepic_pal2.bin
 incbin	gfx\win_lose\losepic\losepic_pal3.bin
 incbin	gfx\win_lose\losepic\losepic_pal4.bin 

winpic_pal:
 incbin	gfx\win_lose\winpic\winpic_pal1.bin
 incbin	gfx\win_lose\winpic\winpic_pal2.bin
 incbin	gfx\win_lose\winpic\winpic_pal3.bin
 incbin	gfx\win_lose\winpic\winpic_pal4.bin
 
font_pal:
 		incbin	gfx\mentat\buttons\font_pal.bin
		
mentat_pals:
 		incbin	gfx\mentat\harkonnen\harkonnen_pal.bin
 		incbin	gfx\mentat\atreides\atreides_pal.bin
 		incbin  gfx\mentat\ordos\ordos_pal.bin
		IF	(mentat_fremen_use_alt_cfg=0)
 		incbin  gfx\mentat\fremen\fremen_pal.bin
		ELSE
		incbin  gfx\mentat\fremen2\fremen_pal.bin
		ENDIF
 		incbin	gfx\mentat\sardaukar\sardaukar_pal.bin

		
		
mentat_gx_tors:	dc.l mentat_H_tors
		dc.l mentat_A_tors
		dc.l mentat_O_tors
		dc.l mentat_F_tors
		dc.l mentat_S_tors

mentat_gfx_eye:	dc.l mentat_H_eye
		dc.l mentat_A_eye
		dc.l mentat_O_eye
		dc.l mentat_F_eye
		dc.l mentat_S_eye

mentat_gfx_rot:	dc.l mentat_H_rot
		dc.l mentat_A_rot
		dc.l mentat_O_rot
		dc.l mentat_F_rot
		dc.l mentat_S_rot		

		include	gfx\mentat\face_pos.asm
		
mentat_H_tors:
		incbin	gfx\mentat\harkonnen\harkonnen_tors_p1.smd
		incbin	gfx\mentat\harkonnen\harkonnen_tors_p2.smd
		incbin	gfx\mentat\harkonnen\harkonnen_tors_p3.smd
mentat_H_eye:
		incbin	gfx\mentat\harkonnen\harkonnen_eye.smd
mentat_H_rot:
		incbin	gfx\mentat\harkonnen\harkonnen_rot.smd

mentat_A_tors:
		incbin	gfx\mentat\atreides\atreides_tors_p1.smd
		incbin	gfx\mentat\atreides\atreides_tors_p2.smd
		incbin	gfx\mentat\atreides\atreides_tors_p3.smd
mentat_A_eye:
		incbin	gfx\mentat\atreides\atreides_eye.smd
mentat_A_rot:
		incbin	gfx\mentat\atreides\atreides_rot.smd
		
mentat_O_tors:
		incbin	gfx\mentat\ordos\ordos_tors_p1.smd
		incbin	gfx\mentat\ordos\ordos_tors_p2.smd
		incbin	gfx\mentat\ordos\ordos_tors_p3.smd
mentat_O_eye:
		incbin	gfx\mentat\ordos\ordos_eye.smd
mentat_O_rot:
		incbin	gfx\mentat\ordos\ordos_rot.smd

		IF	(mentat_fremen_use_alt_cfg=0)
		
mentat_F_tors:
		incbin	gfx\mentat\fremen\fremen_tors_p1.smd
 		incbin	gfx\mentat\fremen\fremen_tors_p2.smd
 		incbin	gfx\mentat\fremen\fremen_tors_p3.smd		
mentat_F_eye:
		incbin	gfx\mentat\fremen\fremen_eye.smd
mentat_F_rot:
		incbin	gfx\mentat\fremen\fremen_rot.smd
		
		ELSE

mentat_F_tors:
		incbin	gfx\mentat\fremen2\fremen_tors_p1.smd
 		incbin	gfx\mentat\fremen2\fremen_tors_p2.smd
 		incbin	gfx\mentat\fremen2\fremen_tors_p3.smd
mentat_F_eye:
		incbin	gfx\mentat\fremen2\fremen_eye.smd
mentat_F_rot:
		incbin	gfx\mentat\fremen2\fremen_rot.smd
		
		ENDIF

mentat_S_tors:
 		incbin	gfx\mentat\sardaukar\sardaukar_tors_p1.smd
 		incbin	gfx\mentat\sardaukar\sardaukar_tors_p2.smd
 		incbin	gfx\mentat\sardaukar\sardaukar_tors_p3.smd
mentat_S_eye:
 		incbin	gfx\mentat\sardaukar\sardaukar_eye.smd
mentat_S_rot:
 		incbin	gfx\mentat\sardaukar\sardaukar_rot.smd
		
herbs_palette:
houses_pal:
		incbin	gfx\herbs\pal1.bin
		incbin	gfx\herbs\pal2.bin
		incbin	gfx\herbs\pal3.bin
		incbin	gfx\herbs\pal4.bin
		
finalscr_pal:
		incbin	gfx\final\finalscr_pal1.bin
		incbin	gfx\final\finalscr_pal2.bin
		incbin	gfx\final\finalscr_pal3.bin
		incbin	gfx\final\finalscr_pal4.bin
		
houses_map2:		
		dc.w 3584
		IF	(RU_GFX=0)
		incbin	gfx\herbs\herbsmap2.bin
herbs_tilemap:
		incbin	gfx\herbs\herbsmap1.BIN
title_tilemap_part1:
		incbin	gfx\title\title_tilemap1.bin
title_tilemap_part2:
		incbin	gfx\title\title_tilemap2.bin
		ELSE
		
		incbin	gfx\herbs\herbsmap2_rus.bin
herbs_tilemap:
		incbin	gfx\herbs\herbsmap1_rus.BIN
title_tilemap_part1:
		incbin	gfx\title\title_tilemap1_ru.bin
title_tilemap_part2:
		incbin	gfx\title\title_tilemap2_ru.bin
		ENDC
		
logos_tilemap_part1:
		incbin	gfx\title\logos_tilemap1.bin
logos_tilemap_part2:
		incbin	gfx\title\logos_tilemap2.bin
		
ending_tilemap	
		incbin	gfx\final\final_tilemap.bin

score_pic1_map:
	incbin	gfx\win_lose\scorescr1\scormap1.bin
score_pic2_map:
	incbin	gfx\win_lose\scorescr2\scormap2.bin
score_pic3_map:
	incbin	gfx\win_lose\scorescr3\scormap3.bin

losepic_map1:
	incbin	gfx\win_lose\losepic\lospmap1.bin
losepic_map2:
	incbin	gfx\win_lose\losepic\lospmap2.bin
losepic_map3:
	incbin	gfx\win_lose\losepic\lospmap3.bin
losepic_map4:
	incbin	gfx\win_lose\losepic\lospmap4.bin

winpic_map1:
	incbin	gfx\win_lose\winpic\winpmap1.bin
winpic_map2:
	incbin	gfx\win_lose\winpic\winpmap2.bin
winpic_map3:
	incbin	gfx\win_lose\winpic\winpmap3.bin
winpic_map4:
	incbin	gfx\win_lose\winpic\winpmap4.bin
	
bmmap_ptr:
 incbin	gfx\menu\building\bmenu_map.bin
 
ommap_ptr:
 incbin gfx\menu\options\options.bin

pmap_ptr:
 incbin	gfx\menu\password\password.bin
 
smap_ptr:
 incbin	gfx\menu\starport\starport.bin	
	

fontmain:	dc.w 4096
 incbin	gfx\fonts\fontmain.smd

font1:
 incbin	gfx\fonts\font.smd

fontnumb:
 incbin	gfx\fonts\fontnumb.smd
dots:
 incbin gfx\fonts\dots.smd 

font2:
 incbin	gfx\fonts\font2.smd

font3:
 incbin	gfx\fonts\font3.smd

font_table:
 incbin	gfx\fonts\font_tbl.bin
 
ramka_tiles:
 incbin	gfx\menu\ramka.smd
		
region_earth1_ptr:
		dc.l	region_earth1
region_earth2_ptr:
		dc.l	region_earth2

earthpart_dat2:	
		dc.l region_earth2_part1-region_earth2
		dc.l region_earth2_part2-region_earth2
		dc.l region_earth2_part3-region_earth2
		dc.l region_earth2_part4-region_earth2
		dc.l region_earth2_part5-region_earth2
		dc.l region_earth2_part6-region_earth2
		dc.l region_earth2_part7-region_earth2
		dc.l region_earth2_part8-region_earth2
		dc.l region_earth2_part9-region_earth2
		dc.l region_earth2_part10-region_earth2
		
earthpart_dat3:	
		dc.l  region_earth1_part1-region_earth1
		dc.l  region_earth1_part2-region_earth1
		dc.l  region_earth1_part3-region_earth1
		dc.l  region_earth1_part4-region_earth1
		dc.l  region_earth1_part5-region_earth1
		dc.l  region_earth1_part6-region_earth1
		dc.l  region_earth1_part7-region_earth1
		dc.l  region_earth1_part8-region_earth1	
		dc.l  region_earth1_part9-region_earth1	
		dc.l  region_earth1_part10-region_earth1
		
earthdat_ptrs2:	dc.l earthdat_1b
		dc.l earthdat_2b
		dc.l earthdat_3b
		dc.l earthdat_4b
		dc.l earthdat_5b
		dc.l earthdat_6b
		dc.l earthdat_7b
		dc.l earthdat_8b
		dc.l earthdat_9b
		dc.l earthdat_10b
		
earthdat_ptrs1:	dc.l earthdat_1
		dc.l earthdat_2
		dc.l earthdat_3
		dc.l earthdat_4
		dc.l earthdat_5
		dc.l earthdat_6
		dc.l earthdat_7
		dc.l earthdat_8
		dc.l earthdat_9
		dc.l earthdat_10
 
metatiles:
 incbin	gfx\metatiles.bin

  
		dc.l icons_stop2
		dc.l icons_fix2
		dc.l icons_stop
		dc.l icons_fix
		dc.l icons_exit
bmenubuild_ico:	dc.l icons_slabx1
		dc.l icons_slabx4
		dc.l icons_palace
		dc.l icons_factory
		dc.l icons_hfactory
		dc.l icons_hitech
		dc.l icons_ix
		dc.l icons_wor
		dc.l icons_cnstyard
		dc.l icons_windtrap
		dc.l icons_barrac
		dc.l icons_starport
		dc.l icons_refinery
		dc.l icons_repair
		dc.l icons_wall
		dc.l icons_turret
		dc.l icons_rturret
		dc.l icons_spcsilos
		dc.l icons_outpost
		dc.l icons_upgrade
		
		dc.l icons_stop2
		dc.l icons_fix2
		dc.l icons_stop
		dc.l icons_fix
		dc.l icons_exit
bmenuunits_ico:	dc.l icons_carryall
		dc.l icons_thopter
		dc.l icons_infantry
		dc.l icons_troopers
		dc.l icons_soldier
		dc.l icons_trooper
		dc.l icons_saboteur
		dc.l icons_launcher
		dc.l icons_deviator
		dc.l icons_tank
		dc.l icons_hvy_tank
		dc.l icons_devastat2
		dc.l icons_sontank
		dc.l icons_trike
		dc.l icons_raidtrik
		dc.l icons_quad
		dc.l icons_harvestr
		dc.l icons_mcv
		dc.l icons_deathand
		dc.l icons_launcher
		dc.l icons_launcher
		dc.l icons_launcher
		dc.l icons_launcher
		dc.l icons_launcher
		dc.l icons_launcher
		dc.l icons_sandworm
		dc.l icons_launcher
		dc.l icons_superlauncher	; 1b
		dc.l icons_rocketquad		; 1c
		dc.l icons_lasertank		; 1d
		dc.l icons_hover	; 1e
		dc.l icons_orka		; 1f
		dc.l icons_upgrade	; 20
		dc.l icons_stop2	; 21

		dc.l icons_exit		; 22
		dc.l icons_fix		; 23
		dc.l icons_stop		; 24
		dc.l icons_fix2		; 25
		
		dc.l icons_fremens	; 26
		dc.l icons_fremen	; 27
		dc.l icons_fremen	; 28
		dc.l icons_sardaukars	; 29
		dc.l icons_sardaukar	; 30
		dc.l icons_sardaukar	; 31
		
		
icons_superlauncher:
 incbin	gfx\small_icons\hurricane.smd
icons_hover:
 incbin	gfx\small_icons\hover.smd
icons_orka:
 incbin	gfx\small_icons\orka.smd
icons_rocketquad:
 incbin	gfx\small_icons\rocketquad.smd
icons_lasertank:
 incbin gfx\small_icons\lasertank.smd
icons_blank1:
 incbin gfx\small_icons\lasertank.smd
icons_blank:
 incbin gfx\small_icons\lasertank.smd
 
 
icons_palace:
 incbin	gfx\small_icons\palace(4).smd
icons_factory:
 incbin	gfx\small_icons\factory(4).smd
icons_hfactory:
 incbin	gfx\small_icons\hfactory(4).smd
icons_hitech:
 incbin	gfx\small_icons\hitech(4).smd
icons_cnstyard:
 incbin	gfx\small_icons\cnstyard(4).smd
icons_windtrap:
 incbin	gfx\small_icons\windtrap(4).smd
icons_barrac:
 incbin	gfx\small_icons\barrac.smd
icons_starport:
 incbin	gfx\small_icons\starport(4).smd
icons_refinery:
 incbin	gfx\small_icons\refinery(4).smd
icons_repair:
 incbin	gfx\small_icons\repair(4).smd
icons_wall:
 incbin	gfx\small_icons\wall(4).smd
icons_turret:
 incbin	gfx\small_icons\turret(4).smd
icons_rturret:
 incbin	gfx\small_icons\rturret(4).smd
icons_spcsilos:
 incbin	gfx\small_icons\spcsilos.smd
icons_outpost:
 incbin	gfx\small_icons\outpost(4).smd
icons_slabx1:
icons_slabx4:
 incbin	gfx\small_icons\slabs.smd
icons_ix:
 incbin	gfx\small_icons\ix(4).smd
icons_wor:
 incbin gfx\small_icons\wor(4).smd 

icons_upgrade:
 incbin	gfx\small_icons\upgrade.smd
icons_hvy_tank:
 incbin	gfx\small_icons\hvy_tank.smd
icons_deathand:
 incbin	gfx\small_icons\deathand(4).smd
icons_quad:
 incbin	gfx\small_icons\quad.smd
icons_trooper:
 incbin	gfx\small_icons\trooper.smd
icons_carryall:
 incbin	gfx\small_icons\carryall.smd
icons_tank:
 incbin	gfx\small_icons\tank.smd
icons_sontank:
 incbin	gfx\small_icons\sontank(2).smd
icons_trike:
 incbin	gfx\small_icons\trike.smd
icons_raidtrik:
 incbin	gfx\small_icons\raidtrik.smd
icons_infantry:
 incbin	gfx\small_icons\infantry(4).smd
icons_fremens:
 incbin	gfx\small_icons\fremens.smd
icons_sardaukar:
 incbin	gfx\small_icons\sardukar.smd
icons_sardaukars:
 incbin	gfx\small_icons\sardukars.smd 
icons_saboteur:
 incbin	gfx\small_icons\saboteur(4).smd
icons_thopter:
 incbin	gfx\small_icons\thopter.smd
icons_launcher:
 incbin	gfx\small_icons\launcher.smd
icons_harvestr:
 incbin	gfx\small_icons\harvestr.smd
icons_mcv:
 incbin	gfx\small_icons\mcv.smd
icons_soldier:
 incbin	gfx\small_icons\soldier(4).smd
icons_troopers:
 incbin	gfx\small_icons\troopers.smd
icons_fremen:
 incbin	gfx\small_icons\fremen.smd
icons_sandworm:
 incbin	gfx\small_icons\sandworm(4).smd
icons_devastat:
 incbin	gfx\small_icons\devastat(3).smd
icons_deviator:
 incbin	gfx\small_icons\deviator(4).smd
icons_devastat2:
 incbin gfx\small_icons\devastat(veh).smd

 
icons_struc_lg:
		dc.l iconl_slabs
		dc.l iconl_slabs
		dc.l iconl_palace
		dc.l iconl_factory
		dc.l iconl_hfactory
		dc.l iconl_hitech
		dc.l iconl_ix
		dc.l iconl_wor
		dc.l iconl_cnstyard
		dc.l iconl_windtrap
		dc.l iconl_barrac
		dc.l iconl_starport
		dc.l iconl_refinery
		dc.l iconl_repair
		dc.l iconl_wall
		dc.l iconl_turret
		dc.l iconl_rturret
		dc.l iconl_spcsilos
		dc.l iconl_outpost

icons_units_lg:	dc.l iconl_carryall
		dc.l iconl_thopter
		dc.l iconl_infantry
		dc.l iconl_troopers
		dc.l iconl_soldier
		dc.l iconl_trooper
		dc.l iconl_saboteur
		dc.l iconl_launcher
		dc.l iconl_deviator
		dc.l iconl_tank
		dc.l iconl_hvy_tank
		dc.l iconl_devastat
		dc.l iconl_sontank
		dc.l iconl_trike
		dc.l iconl_raidtrik
		dc.l iconl_quad
		dc.l iconl_harvestr	; 10
		dc.l iconl_mcv		; 11
		dc.l iconl_death_hand	; 12
		dc.l iconl_starport
		dc.l iconl_starport
		dc.l iconl_starport
		dc.l iconl_starport
		dc.l iconl_starport
		dc.l iconl_starport
		dc.l iconl_sandworm	; 19
		dc.l iconl_starport	; 1A
		dc.l iconl_superlauncher ; 1b
		dc.l iconl_rocketquad	; 1c
		dc.l iconl_lasertank	; 1d
		dc.l iconl_hovertank	; 1e
		dc.l iconl_orka		; 1f
		
		dc.l iconl_starport	; 20
		dc.l iconl_starport	; 21
		dc.l iconl_starport	; 22
		dc.l iconl_starport	; 23
		dc.l iconl_starport	; 24
		dc.l iconl_starport	; 25
		
		dc.l iconl_fremens	; 26
		dc.l iconl_fremen	; 27
		dc.l iconl_fremen	; 28
		dc.l iconl_sardaukars	; 29
		dc.l iconl_sardaukar	; 30
		dc.l iconl_sardaukar	; 31
		
iconl_slabs:		
	incbin	gfx\large_icons\builds\slab_pal.bin
	incbin	gfx\large_icons\builds\slab.smd

iconl_palace:		
	incbin	gfx\large_icons\builds\palace_pal.bin
	incbin	gfx\large_icons\builds\palace.smd
	
iconl_factory:		
	incbin	gfx\large_icons\builds\light_factory_pal.bin
	incbin	gfx\large_icons\builds\light_factory.smd
	
iconl_hfactory:		
	incbin	gfx\large_icons\builds\heavy_factory_pal.bin
	incbin	gfx\large_icons\builds\heavy_factory.smd
	
iconl_hitech:		
	incbin	gfx\large_icons\builds\hi_tech_pal.bin
	incbin	gfx\large_icons\builds\hi_tech.smd
	
iconl_ix:		
	incbin	gfx\large_icons\builds\ix_pal.bin
	incbin	gfx\large_icons\builds\ix.smd	
	
iconl_wor:		
	incbin	gfx\large_icons\builds\wor_pal.bin
	incbin	gfx\large_icons\builds\wor.smd	

iconl_cnstyard:		
	incbin	gfx\large_icons\builds\const_yard_pal.bin
	incbin	gfx\large_icons\builds\const_yard.smd	

iconl_windtrap:		
	incbin	gfx\large_icons\builds\windtrap_pal.bin
	incbin	gfx\large_icons\builds\windtrap.smd	

iconl_barrac:		
	incbin	gfx\large_icons\builds\barracks_pal.bin
	incbin	gfx\large_icons\builds\barracks.smd	

iconl_starport:		
	incbin	gfx\large_icons\builds\starport_pal.bin
	incbin	gfx\large_icons\builds\starport.smd	

iconl_refinery:		
	incbin	gfx\large_icons\builds\refinery_pal.bin
	incbin	gfx\large_icons\builds\refinery.smd	

iconl_repair:		
	incbin	gfx\large_icons\builds\repair_pal.bin
	incbin	gfx\large_icons\builds\repair.smd	

iconl_wall:		
	incbin	gfx\large_icons\builds\wall_pal.bin
	incbin	gfx\large_icons\builds\wall.smd	

iconl_turret:		
	incbin	gfx\large_icons\builds\turret_pal.bin
	incbin	gfx\large_icons\builds\turret.smd	

iconl_rturret:		
	incbin	gfx\large_icons\builds\r_turret_pal.bin
	incbin	gfx\large_icons\builds\r_turret.smd	

iconl_spcsilos:		
	incbin	gfx\large_icons\builds\spice_silo_pal.bin
	incbin	gfx\large_icons\builds\spice_silo.smd

iconl_outpost:		
	incbin	gfx\large_icons\builds\outpost_pal.bin
	incbin	gfx\large_icons\builds\outpost.smd	
	
; ---------------------------------------------------------------------------
iconl_carryall:
	incbin	gfx\large_icons\units\carryall_pal.bin
	incbin	gfx\large_icons\units\carryall.smd
	
iconl_thopter:
	incbin	gfx\large_icons\units\thopter_pal.bin
	incbin	gfx\large_icons\units\thopter.smd

iconl_infantry:
	incbin	gfx\large_icons\units\infantry_pal.bin
	incbin	gfx\large_icons\units\infantry.smd

iconl_troopers:
	incbin	gfx\large_icons\units\troopers_pal.bin
	incbin	gfx\large_icons\units\troopers.smd
	
iconl_soldier:
	incbin	gfx\large_icons\units\soldier_pal.bin
	incbin	gfx\large_icons\units\soldier.smd

iconl_trooper:
	incbin	gfx\large_icons\units\trooper_pal.bin
	incbin	gfx\large_icons\units\trooper.smd	

iconl_saboteur:
	incbin	gfx\large_icons\units\saboteur_pal.bin
	incbin	gfx\large_icons\units\saboteur.smd
	
iconl_launcher:
	incbin	gfx\large_icons\units\launcher_pal.bin
	incbin	gfx\large_icons\units\launcher.smd
	
iconl_deviator:
	incbin	gfx\large_icons\units\deviator_pal.bin
	incbin	gfx\large_icons\units\deviator.smd

iconl_tank:
	incbin	gfx\large_icons\units\tank_pal.bin
	incbin	gfx\large_icons\units\tank.smd	
	
iconl_hvy_tank:
	incbin	gfx\large_icons\units\heavy_tank_pal.bin
	incbin	gfx\large_icons\units\heavy_tank.smd

iconl_devastat:
	incbin	gfx\large_icons\units\devastator_pal.bin
	incbin	gfx\large_icons\units\devastator.smd
	
iconl_sontank:
	incbin	gfx\large_icons\units\sonic_tank_pal.bin
	incbin	gfx\large_icons\units\sonic_tank.smd	
	
iconl_trike:
	incbin	gfx\large_icons\units\trike_pal.bin
	incbin	gfx\large_icons\units\trike.smd	

iconl_raidtrik:
	incbin	gfx\large_icons\units\raider_trike_pal.bin
	incbin	gfx\large_icons\units\raider_trike.smd

iconl_quad:
	incbin	gfx\large_icons\units\quad_pal.bin
	incbin	gfx\large_icons\units\quad.smd		
	
iconl_harvestr:
	incbin	gfx\large_icons\units\harvester_pal.bin
	incbin	gfx\large_icons\units\harvester.smd	
	
iconl_mcv:
	incbin	gfx\large_icons\units\mcv_pal.bin
	incbin	gfx\large_icons\units\mcv.smd	
	
iconl_death_hand:
	incbin	gfx\large_icons\units\death_hand_pal.bin
	incbin	gfx\large_icons\units\death_hand.smd

iconl_sandworm:
	incbin	gfx\large_icons\units\sandworm_pal.bin
	incbin	gfx\large_icons\units\sandworm.smd

iconl_superlauncher:
	incbin	gfx\large_icons\units\hurricane_pal.bin
	incbin	gfx\large_icons\units\hurricane.smd

iconl_hovertank:
	incbin	gfx\large_icons\units\hovertank_pal.bin
	incbin	gfx\large_icons\units\hovertank.smd

iconl_orka:
	incbin	gfx\large_icons\units\orka_pal.bin
	incbin	gfx\large_icons\units\orka.smd

iconl_rocketquad:
	incbin	gfx\large_icons\units\rocketquad_pal.bin
	incbin	gfx\large_icons\units\rocketquad.smd
	
iconl_lasertank:
	incbin	gfx\large_icons\units\lasertank_pal.bin
	incbin	gfx\large_icons\units\lasertank.smd	
	
iconl_fremen:
	incbin	gfx\large_icons\units\fremen_pal.bin
	incbin	gfx\large_icons\units\fremen.smd	
iconl_fremens:
	incbin	gfx\large_icons\units\fremens_pal.bin
	incbin	gfx\large_icons\units\fremens.smd	
iconl_sardaukar:
	incbin	gfx\large_icons\units\sardaukar_pal.bin
	incbin	gfx\large_icons\units\sardaukar.smd	
iconl_sardaukars:
	incbin	gfx\large_icons\units\sardaukars_pal.bin
	incbin	gfx\large_icons\units\sardaukars.smd	
	
 
; ---------------------------------------------------------------------------

unit_types:	dc.l _CARRYALL	; 0
		dc.l _THOPTER	; 1
		dc.l _INFANTRY	; 2
		dc.l _TROOPERS	; 3
		dc.l _SOLDIER	; 4
		dc.l _TROOPER	; 5
		dc.l _SABOTEUR	; 6
		dc.l _LAUNCHER	; 7
		dc.l _DEVIATOR	; 8
		dc.l _TANK	; 9
		dc.l _HEAVY_TANK ; A
		dc.l _DEVASTATOR	; B
		dc.l _SONIC_TANK	; C
		dc.l _TRIKE	; D
		dc.l _RAIDER_TRIKE ; E
		dc.l _QUAD	; F
		dc.l _HARVESTER	; $10
		dc.l _MCV	; $11
		dc.l _DEATH_HAND ; $12
		dc.l _ROCKET	; $13
		dc.l _AROCKET	; $14
		dc.l _GROCKET	; $15
		dc.l _MINIROCKET	; $16
		dc.l _BULLET	; $17
		dc.l _SONIC_BLAST ; $18
		dc.l _SANDWORM	; $19
		dc.l _FRIGATE	; $1A

		dc.l _SUPERLAUNCHER ; $1B
		dc.l _ROCKETQUAD	; $1C
		dc.l _LASERTANK	; $1D
		dc.l _HOVERTANK	; $1E
		dc.l _ORKA	; $1F
		

_CARRYALL:	incbin	units\carryall.bin
_THOPTER:	incbin	units\thopter.bin
_INFANTRY:	incbin	units\infantry.bin
_TROOPERS:	incbin	units\troopers.bin
_SOLDIER:	incbin	units\soldier.bin
_TROOPER:	incbin	units\trooper.bin
_SABOTEUR:	incbin	units\saboteur.bin
_LAUNCHER:	incbin	units\launcher.bin
_DEVIATOR:	incbin	units\deviator.bin
_TANK:		incbin	units\tank.bin
_HEAVY_TANK:	incbin	units\heavy_tank.bin
_DEVASTATOR:	incbin	units\devastator.bin
_SONIC_TANK:	incbin	units\sonic_tank.bin
_TRIKE:		incbin	units\trike.bin
_RAIDER_TRIKE:	incbin	units\raider_trike.bin
_QUAD:		incbin	units\quad.bin
_HARVESTER:	incbin	units\harvester.bin
_MCV:		incbin	units\mcv.bin
_DEATH_HAND:	incbin	units\death_hand.bin
_ROCKET:	incbin	units\rocket.bin
_AROCKET:	incbin	units\arocket.bin
_GROCKET:	incbin	units\grocket.bin
_MINIROCKET:	incbin	units\minirocket.bin
_BULLET:	incbin	units\bullet.bin
_SONIC_BLAST:	incbin	units\sonic_blast.bin
_SANDWORM:	incbin	units\sandworm.bin
_FRIGATE:	incbin	units\frigate.bin
_SUPERLAUNCHER:	incbin	units\superlauncher.bin
_ROCKETQUAD:	incbin	units\rocketquad.bin
_LASERTANK:	incbin	units\lastertank.bin
_HOVERTANK:	incbin	units\hovertank.bin
_ORKA:		incbin	units\orka.bin


unit_names_eng:
		dc.l CARRYALL_eng
		dc.l THOPTER_eng
		dc.l INFANTRY_eng
		dc.l TROOPERS_eng
		dc.l SOLDIER_eng
		dc.l TROOPER_eng
		dc.l SABOTEUR_eng
		dc.l LAUNCHER_eng
		dc.l DEVIATOR_eng
		dc.l TANK_eng
		dc.l HEAVY_TANK_eng
		dc.l DEVASTATOR_eng
		dc.l SONIC_TANK_eng
		dc.l TRIKE_eng
		dc.l RAIDER_TRIKE_eng
		dc.l QUAD_eng
		dc.l HARVESTER_eng
		dc.l MCV_eng
		dc.l DEATH_HAND_eng
		dc.l ROCKET_eng
		dc.l AROCKET_eng
		dc.l GROCKET_eng
		dc.l MINIROCKET_eng
		dc.l BULLET_eng
		dc.l SONIC_BLAST_eng
		dc.l SANDWORM_eng
		dc.l FRIGATE_eng

		dc.l SUPERLAUNCHER_eng
		dc.l ROCKETQUAD_eng
		dc.l LASERTANK_eng
		dc.l HOVERTANK_eng
		dc.l ORKA_eng
		
		dc.l FREMENS_eng
		dc.l FREMEN_eng
		dc.l SARDAUKARS_eng
		dc.l SARDAUKAR_eng
unit_names_rus:
		dc.l CARRYALL_rus
		dc.l THOPTER_rus
		dc.l INFANTRY_rus
		dc.l TROOPERS_rus
		dc.l SOLDIER_rus
		dc.l TROOPER_rus
		dc.l SABOTEUR_rus
		dc.l LAUNCHER_rus
		dc.l DEVIATOR_rus
		dc.l TANK_rus
		dc.l HEAVY_TANK_rus
		dc.l DEVASTATOR_rus
		dc.l SONIC_TANK_rus
		dc.l TRIKE_rus
		dc.l RAIDER_TRIKE_rus
		dc.l QUAD_rus
		dc.l HARVESTER_rus
		dc.l MCV_rus
		dc.l DEATH_HAND_rus
		dc.l ROCKET_rus
		dc.l AROCKET_rus
		dc.l GROCKET_rus
		dc.l MINIROCKET_rus
		dc.l BULLET_rus
		dc.l SONIC_BLAST_rus
		dc.l SANDWORM_rus
		dc.l FRIGATE_rus

		dc.l SUPERLAUNCHER_rus
		dc.l ROCKETQUAD_rus
		dc.l LASERTANK_rus
		dc.l HOVERTANK_rus
		dc.l ORKA_rus

		dc.l FREMENS_rus
		dc.l FREMEN_rus
		dc.l SARDAUKARS_rus
		dc.l SARDAUKAR_rus		
		
builds_types:	dc.l SLAB
		dc.l SLABx4
		dc.l PALACE
		dc.l LIGHT_FACTORY
		dc.l HEAVY_FACTORY
		dc.l HI_TECH
		dc.l IX
		dc.l WOR
		dc.l CONST_YARD
		dc.l WINDTRAP
		dc.l BARRACKS
		dc.l STARPORT
		dc.l REFINERY
		dc.l REPAIR
		dc.l WALL
		dc.l TURRET
		dc.l R_TURRET
		dc.l SPICE_SILO
		dc.l OUTPOST

SLAB:		incbin	buildings\slab.bin
SLABx4:		incbin	buildings\slabx4.bin
PALACE:		incbin	buildings\palace.bin
LIGHT_FACTORY:	incbin	buildings\light_factory.bin
HEAVY_FACTORY:	incbin	buildings\heavy_factory.bin
HI_TECH:	incbin	buildings\hi-tech.bin
IX:		incbin	buildings\ix.bin
WOR:		incbin	buildings\wor.bin
CONST_YARD:	incbin	buildings\const_yard.bin
WINDTRAP:	incbin	buildings\windtrap.bin
BARRACKS:	incbin	buildings\barracks.bin
STARPORT:	incbin	buildings\starport.bin
REFINERY:	incbin	buildings\refinery.bin
REPAIR:		incbin	buildings\repair.bin
WALL:		incbin	buildings\wall.bin
TURRET:		incbin	buildings\turret.bin
R_TURRET:	incbin	buildings\r-turret.bin
SPICE_SILO:	incbin	buildings\spice_silo.bin
OUTPOST:	incbin	buildings\outpost.bin		


buildings_names_eng:
		dc.l SLAB_eng
		dc.l SLABx4_eng
		dc.l PALACE_eng
		dc.l LIGHT_FACTORY_eng
		dc.l HEAVY_FACTORY_eng
		dc.l HI_TECH_eng
		dc.l IX_eng
		dc.l WOR_eng
		dc.l CONST_YARD_eng
		dc.l WINDTRAP_eng
		dc.l BARRACKS_eng
		dc.l STARPORT_eng
		dc.l REFINERY_eng
		dc.l REPAIR_eng
		dc.l WALL_eng
		dc.l TURRET_eng
		dc.l R_TURRET_eng
		dc.l SPICE_SILO_eng
		dc.l OUTPOST_eng

buildings_names_rus:
		dc.l SLAB_rus
		dc.l SLABx4_rus
		dc.l PALACE_rus
		dc.l LIGHT_FACTORY_rus
		dc.l HEAVY_FACTORY_rus
		dc.l HI_TECH_rus
		dc.l IX_rus
		dc.l WOR_rus
		dc.l CONST_YARD_rus
		dc.l WINDTRAP_rus
		dc.l BARRACKS_rus
		dc.l STARPORT_rus
		dc.l REFINERY_rus
		dc.l REPAIR_rus
		dc.l WALL_rus
		dc.l TURRET_rus
		dc.l R_TURRET_rus
		dc.l SPICE_SILO_rus
		dc.l OUTPOST_rus
		
explos_spr_ptr:	dc.l anim_00
		dc.l anim_01
		dc.l anim_02
		dc.l anim_03
		dc.l anim_04
		dc.l anim_05
		dc.l anim_06
		dc.l anim_07
		dc.l anim_08
		dc.l anim_09
		dc.l anim_0A
		dc.l anim_0B
		dc.l anim_0C
		dc.l anim_0D
		dc.l anim_0E
		dc.l anim_0F
		dc.l anim_10
		dc.l anim_11
		dc.l anim_12
		dc.l anim_13
		dc.l anim_14
		dc.l anim_15
		dc.l anim_16
		dc.l anim_17
		dc.l anim_18
		dc.l anim_19
		dc.l anim_1A
		dc.l anim_1B
		dc.l anim_1C
		dc.l anim_1D
		dc.l anim_1E
		dc.l anim_1F		
		
builds_anim:	dc.l some_bld_anim
		dc.l some_bld_anim
		dc.l some_bld_anim
		dc.l some_bld_anim
		dc.l some_bld_anim
		dc.l some_bld_anim
		dc.l some_bld_anim
		dc.l some_bld_anim
		dc.l some_bld_anim
		dc.l some_bld_anim
		dc.l some_bld_anim
		dc.l pala_tile_anim
		dc.l ix_tiles_anim
		dc.l lf_hf_tile_ani
		dc.l hi_tech_t_anim
		dc.l hf_tiles_anim
		dc.l wor_tiles_anim
		dc.l cy_tiles_anim
		dc.l barracks_tiles
		dc.l wind_tile_anim
		dc.l star_tile_anim
		dc.l word_6AC68
		dc.l word_6AC8C
		dc.l word_6ACB0
		dc.l word_6ACD4
		dc.l word_6ACF8
		dc.l word_6AD1C
		dc.l word_6AD40
		dc.l word_6AD4C
		dc.l word_6AD58
		dc.l word_6AD64
		dc.l word_6AD70
		dc.l word_6AD7C
		dc.l word_6AD88
		dc.l word_6AD94
		dc.l word_6ADA0
		dc.l word_6ADAC
		dc.l word_6ADB8
		dc.l word_6ADC4
		dc.l word_6ADD0
		dc.l word_6ADDC
		dc.l word_6ADE8
		dc.l word_6ADF4
		dc.l word_6AE00
		dc.l word_6AE0C
		dc.l word_6AE18
		dc.l word_6AE24
		dc.l some_bld_anim
		dc.l some_bld_anim
		dc.l some_bld_anim
		dc.l some_bld_anim
		dc.l some_bld_anim
		dc.l some_bld_anim
		dc.l some_bld_anim
		dc.l some_bld_anim
		dc.l some_bld_anim
		dc.l some_bld_anim
		dc.l some_bld_anim
		dc.l some_bld_anim
		dc.l some_bld_anim
		dc.l some_bld_anim
		dc.l some_bld_anim
		dc.l some_bld_anim
		dc.l some_bld_anim		
		
maps_ptrs:	dc.l map_00
		dc.l map_01
		dc.l map_02
		dc.l map_03
		dc.l map_04
		dc.l map_05
		dc.l map_06
		dc.l map_07
		dc.l map_08
		dc.l map_09
		dc.l map_10
		dc.l map_11
		dc.l map_12
		dc.l map_13
		dc.l map_14
		dc.l map_15
		dc.l map_16
		dc.l map_17
		dc.l map_18
		dc.l map_19
		dc.l map_20
		dc.l map_21
		dc.l map_22
		dc.l map_23
		dc.l map_24
		dc.l map_25
		dc.l map_26
		dc.l map_27
		dc.l map_28
		dc.l map_29
		dc.l map_30
		dc.l map_31
		dc.l map_32
		dc.l map_33
		dc.l map_34
		dc.l map_35
		dc.l map_36
		dc.l map_37
		dc.l map_38
		dc.l map_39
		dc.l map_40
		dc.l map_41
		dc.l map_42
		dc.l map_43
		dc.l map_44

harkonnen_missions:
	dc.l	scenh001
	dc.l	scenh002
	dc.l	scenh003
	dc.l	scenh004
	dc.l	scenh005
	dc.l	scenh006
	dc.l	scenh007
	dc.l	scenh008
	dc.l	scenh009

atreides_missions:
	dc.l	scena001
	dc.l	scena002
	dc.l	scena003
	dc.l	scena004
	dc.l	scena005
	dc.l	scena006
	dc.l	scena007
	dc.l	scena008
	dc.l	scena009

ordos_missions:
	dc.l	sceno001
	dc.l	sceno002
	dc.l	sceno003
	dc.l	sceno004
	dc.l	sceno005
	dc.l	sceno006
	dc.l	sceno007
	dc.l	sceno008
	dc.l	sceno009

fremen_missions:
	dc.l	scenf001
	dc.l	scenf002
	dc.l	scenf003
	dc.l	scenf004
	dc.l	scenf005
	dc.l	scenf006
	dc.l	scenf007
	dc.l	scenf008
	dc.l	scenf009

sardaukar_missions
	dc.l	scens001
	dc.l	scens002
	dc.l	scens003
	dc.l	scens004
	dc.l	scens005
	dc.l	scens006
	dc.l	scens007
	dc.l	scens008
	dc.l	scens009


house_info_txt:	dc.l HarkBegins
		dc.l AtrBegins
		dc.l OrdBegins
		dc.l FremBegins
		dc.l SardBegins

atr_missio_txt:	dc.l AtrM0
		dc.l AtrM0Comp
		dc.l AtrM0Fail
		dc.l AtrM0Advice
		dc.l AtrM1
		dc.l AtrM1Comp
		dc.l AtrM1Fail
		dc.l AtrM1Advice
		dc.l AtrM2
		dc.l AtrM2Comp
		dc.l AtrM2Fail
		dc.l AtrM2Advice
		dc.l AtrM3
		dc.l AtrM3Comp
		dc.l AtrM3Fail
		dc.l AtrM3Advice
		dc.l AtrM4
		dc.l AtrM4Comp
		dc.l AtrM4Fail
		dc.l AtrM4Advice
		dc.l AtrM5
		dc.l AtrM5Comp
		dc.l AtrM5Fail
		dc.l AtrM5Advice
		dc.l AtrM6
		dc.l AtrM6Comp
		dc.l AtrM6Fail
		dc.l AtrM6Advice
		dc.l AtrM7
		dc.l AtrM7Comp
		dc.l AtrM7Fail
		dc.l AtrM7Advice
		dc.l AtrM8
		dc.l AtrM8Comp
		dc.l AtrM8Fail
		dc.l AtrM8Advice

ord_missio_txt:	dc.l OrdM0
		dc.l OrdM0Comp
		dc.l OrdM0Fail
		dc.l OrdM0Advice
		dc.l OrdM1
		dc.l OrdM1Comp
		dc.l OrdM1Fail
		dc.l OrdM1Advice
		dc.l OrdM2
		dc.l OrdM2Comp
		dc.l OrdM2Fail
		dc.l OrdM2Advice
		dc.l OrdM3
		dc.l OrdM3Comp
		dc.l OrdM3Fail
		dc.l OrdM3Advice
		dc.l OrdM4
		dc.l OrdM4Comp
		dc.l OrdM4Fail
		dc.l OrdM4Advice
		dc.l OrdM5
		dc.l OrdM5Comp
		dc.l OrdM5Fail
		dc.l OrdM5Advice
		dc.l OrdM6
		dc.l OrdM6Comp
		dc.l OrdM6Fail
		dc.l OrdM6Advice
		dc.l OrdM7
		dc.l OrdM7Comp
		dc.l OrdM7Fail
		dc.l OrdM7Advice
		dc.l OrdM8
		dc.l OrdM8Comp
		dc.l OrdM8Fail
		dc.l OrdM8Advice

hark_missi_txt:	dc.l HarkM0
		dc.l HarkM0Comp
		dc.l HarkM0Fail
		dc.l HarkM0Advice
		dc.l HarkM1
		dc.l HarkM1Comp
		dc.l HarkM1Fail
		dc.l HarkM1Advice
		dc.l HarkM2
		dc.l HarkM2Comp
		dc.l HarkM2Fail
		dc.l HarkM2Advice
		dc.l HarkM3
		dc.l HarkM3Comp
		dc.l HarkM3Fail
		dc.l HarkM3Advice
		dc.l HarkM4
		dc.l HarkM4Comp
		dc.l HarkM4Fail
		dc.l HarkM4Advice
		dc.l HarkM5
		dc.l HarkM5Comp
		dc.l HarkM5Fail
		dc.l HarkM5Advice
		dc.l HarkM6
		dc.l HarkM6Comp
		dc.l HarkM6Fail
		dc.l HarkM6Advice
		dc.l HarkM7
		dc.l HarkM7Comp
		dc.l HarkM7Fail
		dc.l HarkM7Advice
		dc.l HarkM8
		dc.l HarkM8Comp
		dc.l HarkM8Fail
		dc.l HarkM8Advice

Frem_missio_txt:
		dc.l FremM0
		dc.l FremM0Comp
		dc.l FremM0Fail
		dc.l FremM0Advice
		dc.l FremM1
		dc.l FremM1Comp
		dc.l FremM1Fail
		dc.l FremM1Advice
		dc.l FremM2
		dc.l FremM2Comp
		dc.l FremM2Fail
		dc.l FremM2Advice
		dc.l FremM3
		dc.l FremM3Comp
		dc.l FremM3Fail
		dc.l FremM3Advice
		dc.l FremM4
		dc.l FremM4Comp
		dc.l FremM4Fail
		dc.l FremM4Advice
		dc.l FremM5
		dc.l FremM5Comp
		dc.l FremM5Fail
		dc.l FremM5Advice
		dc.l FremM6
		dc.l FremM6Comp
		dc.l FremM6Fail
		dc.l FremM6Advice
		dc.l FremM7
		dc.l FremM7Comp
		dc.l FremM7Fail
		dc.l FremM7Advice
		dc.l FremM8
		dc.l FremM8Comp
		dc.l FremM8Fail
		dc.l FremM8Advice

Sard_missi_txt:	dc.l SardM0
		dc.l SardM0Comp
		dc.l SardM0Fail
		dc.l SardM0Advice
		dc.l SardM1
		dc.l SardM1Comp
		dc.l SardM1Fail
		dc.l SardM1Advice
		dc.l SardM2
		dc.l SardM2Comp
		dc.l SardM2Fail
		dc.l SardM2Advice
		dc.l SardM3
		dc.l SardM3Comp
		dc.l SardM3Fail
		dc.l SardM3Advice
		dc.l SardM4
		dc.l SardM4Comp
		dc.l SardM4Fail
		dc.l SardM4Advice
		dc.l SardM5
		dc.l SardM5Comp
		dc.l SardM5Fail
		dc.l SardM5Advice
		dc.l SardM6
		dc.l SardM6Comp
		dc.l SardM6Fail
		dc.l SardM6Advice
		dc.l SardM7
		dc.l SardM7Comp
		dc.l SardM7Fail
		dc.l SardM7Advice
		dc.l SardM8
		dc.l SardM8Comp
		dc.l SardM8Fail
		dc.l SardM8Advice

mentat_text:	dc.l hark_missi_txt
		dc.l atr_missio_txt
		dc.l ord_missio_txt
		dc.l frem_missio_txt
		dc.l sard_missi_txt


codes_a:	dc.l PassH_00
codes_h:	dc.w 0
codes_l:	dc.w 2
		dc.l PassA_00
		dc.w 1
		dc.w 2
		dc.l PassO_00
		dc.w 2
		dc.w 2
		dc.l PassF_00
		dc.w 3
		dc.w 2
		dc.l PassS_00
		dc.w 4
		dc.w 2

		dc.l PassH_01
		dc.w 0
		dc.w 3
		dc.l PassA_01
		dc.w 1
		dc.w 3
		dc.l PassO_01
		dc.w 2
		dc.w 3
		dc.l PassF_01
		dc.w 3
		dc.w 3
		dc.l PassS_01
		dc.w 4
		dc.w 3

		dc.l PassH_02
		dc.w 0
		dc.w 4
		dc.l PassA_02
		dc.w 1
		dc.w 4
		dc.l PassO_02
		dc.w 2
		dc.w 4
		dc.l PassF_02
		dc.w 3
		dc.w 4
		dc.l PassS_02
		dc.w 4
		dc.w 4

		dc.l PassH_03
		dc.w 0
		dc.w 5
		dc.l PassA_03
		dc.w 1
		dc.w 5
		dc.l PassO_03
		dc.w 2
		dc.w 5
		dc.l PassF_03
		dc.w 3
		dc.w 5
		dc.l PassS_03
		dc.w 4
		dc.w 5

		dc.l PassH_04
		dc.w 0
		dc.w 6
		dc.l PassA_04
		dc.w 1
		dc.w 6
		dc.l PassO_04
		dc.w 2
		dc.w 6
		dc.l PassF_04
		dc.w 3
		dc.w 6
		dc.l PassS_04
		dc.w 4
		dc.w 6

		dc.l PassH_05
		dc.w 0
		dc.w 7
		dc.l PassA_05
		dc.w 1
		dc.w 7
		dc.l PassO_05
		dc.w 2
		dc.w 7
		dc.l PassF_05
		dc.w 3
		dc.w 7
		dc.l PassS_05
		dc.w 4
		dc.w 7

		dc.l PassH_06
		dc.w 0
		dc.w 8
		dc.l PassA_06
		dc.w 1
		dc.w 8
		dc.l PassO_06
		dc.w 2
		dc.w 8
		dc.l PassF_06
		dc.w 3
		dc.w 8
		dc.l PassS_06
		dc.w 4
		dc.w 8

		dc.l PassH_07
		dc.w 0
		dc.w 9
		dc.l PassA_07
		dc.w 1
		dc.w 9
		dc.l PassO_07
		dc.w 2
		dc.w 9
		dc.l PassF_07
		dc.w 3
		dc.w 9
		dc.l PassS_07
		dc.w 4
		dc.w 9

		dc.l PassCheat0
		dc.w 5
		dc.w 0
		dc.l PassCheat1
		dc.w 6
		dc.w 0
		dc.l PassCheat2
		dc.w 7
		dc.w 0
		dc.l PassCheat3
		dc.w 9
		dc.w 0
		dc.l PassCheat4
		dc.w $A		
		dc.w 0

		dc.l PassCheat5
		dc.w $B	
		dc.w 0
		dc.l PassCheat6
		dc.w $C	
		dc.w 0	
		dc.l PassCheat7
		dc.w $D
		dc.w 0			
		
		dc.l 0
		dc.w 0
		dc.w 0
		
units_vram1:	dc.w	units_vram
units_size1:	dc.w	units_spr_end-units_spr

units_vram2:	dc.w	base2*32
units_vram3:	dc.w	base3*32
;units_vram4:	dc.w	base4*32

units_vram	equ	gmend-gmptr

;base		equ		$7400/32	; base tile num for units sprites
;base2		equ		$D800/32
;base3		equ		$F980/32
;base4		equ		$BF40/32
		
		include gfx\some_mt.asm
		include gfx\sprites_gfx\1_sprites_ptrs.asm
		include gfx\sprites_gfx\2_main_sprites_ptrs.asm       ; ,    		

sound_engine:
		include	gems\gems2.asm
		even
		;include gfx\anims.asm
gmptr:
 incbin	gfx\game.smd
gmend:		
		include gfx\spr_anims.asm
		include gfx\blk_anims.asm
		
		include	gfx\sprites_gfx\3_variables_sprites_cfgs.asm  ;  base,    33, 11
		include	gfx\sprites_gfx\4_units_enable_flags.asm      ;   -
		include	gfx\sprites_gfx\4_path_sprites_cfgs.asm       ;   -
		include	gfx\sprites_gfx\5_math_sprites_cfgs.asm       ;  , 
		include	gfx\sprites_gfx\6_checksum_sprites_cfgs.asm   ;    
		include	gfx\sprites_gfx\7_conf_sprites_cfgs.asm       ;  	
		
 IF (RU_PASSWORD=0)
	include	texts\password.asm
 ELSE 
	include texts\password_rus.asm
 ENDC
	
	
	
 IF (RU_NAMES=1)
	include texts\menus_rus.asm
	include texts\title_rus.asm
 ELSE
	include texts\menus.asm
	include texts\title.asm	
 ENDC
 
	
 IF (RU_DIALOGS=1)
	include texts\dialogs_hack_RUS.asm
 ELSE
	include texts\dialogs_hack.asm	
 ENDC	

	include	texts\titles.asm

 	include	buildings\builds_names_rus.asm
	include	units\unit_names_rus.asm
 	include	buildings\builds_names_eng.asm
	include	units\unit_names_eng.asm
	even
	
 	include	texts\music_names.asm
	even

herbs_gfx:
	IF	(RU_GFX=0)
	include	gfx\herbs\1_gfxinclude_eng.asm
	ELSE
	include	gfx\herbs\1_gfxinclude_rus.asm
	ENDC
herbs_gfx_end:	

title_tileset:
	IF	(RU_GFX=0)
	include	gfx\title\1_gfxinclude_eng.asm
	ELSE
	include	gfx\title\1_gfxinclude_rus.asm
	ENDC
title_tileset_end:	
	
ending_tileset:
	include	gfx\final\1_gfxinclude.asm
ending_tileset_end:


omptr:
 include gfx\menu\options\1_gfxinclude.asm
omend:

pmptr:
 include gfx\menu\password\1_gfxinclude.asm
pmend:

bmptr:
 include gfx\menu\building\1_gfxinclude.asm
bmend: 

smptr:
 include gfx\menu\starport\1_gfxinclude.asm
smend:		

wpptr:
 include gfx\win_lose\winpic\1_gfxinclude.asm
wpend:

lpptr:
 include gfx\win_lose\losepic\1_gfxinclude.asm
lpend:

scptr:
scorepic1_gfx:
		include	gfx\win_lose\scorescr1\1_gfxinclude.asm
scorepic1_gfx_end:

scorepic2_gfx:	
		include	gfx\win_lose\scorescr2\1_gfxinclude.asm
scorepic2_gfx_end:
		
scorepic3_gfx:
		include	gfx\win_lose\scorescr3\1_gfxinclude.asm
scorepic3_gfx_end:
scend:	


region_earth2:
region_earth2_part1:
 incbin	gfx\region_earth\earthdat_1b.smd
region_earth2_part2:
 incbin	gfx\region_earth\earthdat_2b.smd
region_earth2_part3:
 incbin	gfx\region_earth\earthdat_3b.smd
region_earth2_part4:
 incbin	gfx\region_earth\earthdat_4b.smd
region_earth2_part5:
 incbin	gfx\region_earth\earthdat_5b.smd
region_earth2_part6:
 incbin	gfx\region_earth\earthdat_6b.smd
region_earth2_part7:
 incbin	gfx\region_earth\earthdat_7b.smd
region_earth2_part8:
 incbin	gfx\region_earth\earthdat_8b.smd
region_earth2_part9:
 incbin	gfx\region_earth\earthdat_9b.smd
region_earth2_part10:
 incbin	gfx\region_earth\earthdat_10b.smd
  
region_earth1:
region_earth1_part1:
 incbin	gfx\region_earth\earthdat_1.smd
region_earth1_part2:
 incbin	gfx\region_earth\earthdat_2.smd
region_earth1_part3:
 incbin	gfx\region_earth\earthdat_3.smd
region_earth1_part4:
 incbin	gfx\region_earth\earthdat_4.smd
region_earth1_part5:
 incbin	gfx\region_earth\earthdat_5.smd
region_earth1_part6:
 incbin	gfx\region_earth\earthdat_6.smd
region_earth1_part7:
 incbin	gfx\region_earth\earthdat_7.smd
region_earth1_part8:
 incbin	gfx\region_earth\earthdat_8.smd
region_earth1_part9:
 incbin	gfx\region_earth\earthdat_9.smd
region_earth1_part10:
 incbin	gfx\region_earth\earthdat_10.smd
 
	include gfx\region_earth\region_parts.asm
	
		include gfx\menu\b_anim.asm
		include gfx\menu\s_anim.asm	

	IF	(EXPANDED_MAP=0)
	include	maps_64.asm
	ELSE
	include	maps_128.asm
	ENDC	

	include	plugins\plugins.asm
