; ---------------------------------------------------------------------------
; flags for main sprites ptrs
NO_SPR			equ 0
NO_LOAD_GFX		equ $7F000000
HAVE_SPR		equ 1
NO_SPR_CFG		equ $FFFFFFFF
LOAD_GFX 		equ $80000000 ;     vram
; ---------------------------------------------------------------------------
;   (  )
GPAL1			equ $FC000000 ; 1- 
GPAL2			equ $FE000000 ; 2- 
GPAL3			equ $FD000000 ; 3- 
GPAL4			equ $FF000000 ; 4- 

TARG			equ $FA000000
RAD				equ $FB000000

; ---------------------------------------------------------------------------
;    
WORM_UNIT_SPR	equ $02000000
WORME_UNIT_SPR	equ $03000000
INF_UNIT_SPR	equ $04000000
STD_UNIT_SPR	equ $08000000
HTL_UNIT_SPR	equ $09000000
BUL_UNIT_SPR	equ $0B000000 ;  
MSL_UNIT_SPR	equ $0C000000
FRG_UNIT_SPR	equ $0F000000
AIR_UNIT_SPR	equ $10000000
EXP_UNIT_SPR	equ $14000000

; ---------------------------------------------------------------------------
; units vram ptrs
units_spr_ptr: dc.l units_spr
misc_spr1_ptr: dc.l misc_spr1
misc_spr2_ptr: dc.l misc_spr2
misc_spr3_ptr: dc.l misc_spr3
; ---------------------------------------------------------------------------
; some ptrs
icon_spr_cfg_ptr: dc.l icon_spr_cfg
cant_bld_spr_ptr: dc.l cant_bld_spr_cfg
no_en_spr_cfg_ptr: dc.l no_en_spr_cfg
radar_spr_cfg2_ptr: dc.l radar_spr_cfg2
arrow_spr_cfg_ptr: dc.l	arrow_spr_cfg
curs_t_spr_cfg_ptr: dc.l curs_t_spr_cfg
house_spheres_spr_ptr: dc.l house_spheres
arrow_spr_ptr: dc.l arrow_spr
creditslow_spr_ptr: dc.l creditslow_spr
creditslow_spr_ru_ptr: dc.l creditslow_spr_ru
radar_cur_spr_ptr: dc.l radar_cur_spr
build_area_spr_ptr: dc.l build_area_spr
big_cur_sprite_ptr: dc.l big_cur_sprite
hsel_cur_sprite_ptr: dc.l hsel_cur_sprite
bmenu_buildsize_ptr: dc.l bmenu_buildsize
bmenu_cursor_ptr: dc.l bmenu_cursor
bm_cur_spr_cfg_ptr: dc.l bm_cur_spr_cfg

; ---------------------------------------------------------------------------
;  ,   
endcarry_spcfg:	
		dc.l endcarry_sprc1
		dc.l endcarry_sprc2
		dc.l endcarry_sprc3
		dc.l endcarry_sprc4
; ---------------------------------------------------------------------------
; repair ico ptrs
rep_spr_cfgp:	
		dc.l rep_spr_cfg1
		dc.l rep_spr_cfg1
		dc.l rep_spr_cfg1
		dc.l rep_spr_cfg2
		dc.l rep_spr_cfg3
		dc.l rep_spr_cfg3
		dc.l rep_spr_cfg4
; ---------------------------------------------------------------------------
b_ok_Scfg_ptr:	
		dc.l b_ok_spr_cfg1
		dc.l b_ok_spr_cfg1
		dc.l b_ok_spr_cfg1
		dc.l b_ok_spr_cfg1
		dc.l b_ok_spr_cfg1
		dc.l b_ok_spr_cfg1
		dc.l b_ok_spr_cfg2
		dc.l b_ok_spr_cfg2		
; ---------------------------------------------------------------------------
; havester tail spr cfg ptrs,  		
hv_tail_s_prts:	
		dc.l htail_spr_cfg1 ;   0 
		dc.l word_640C8     ;  45 
		dc.l word_640F2     ;  90 
		dc.l word_6411C     ; 135 
		dc.l word_64146     ; 180 
		dc.l word_64170     ; 225 
		dc.l word_6419A     ; 270 
		dc.l word_641C4     ; 315 
		dc.l htail_spr_cfg2 ;  ,   0   
		dc.l word_640D6
		dc.l word_64100
		dc.l word_6412A
		dc.l word_64154
		dc.l word_6417E
		dc.l word_641A8
		dc.l word_641D2
		dc.l htail_spr_cfg3 ;  
		dc.l word_640E4
		dc.l word_6410E
		dc.l word_64138
		dc.l word_64162
		dc.l word_6418C
		dc.l word_641B6
		dc.l word_641E0
; ---------------------------------------------------------------------------
; radar sprites ptrs
RAD_SPR2		equ	$05000000
RAD_SPR3		equ	$3C000000
RAD_SPR4		equ	$00000000
radar_off_spr:	
		dc.l radar_off0_spr|RAD_SPR2
		dc.l radar_off1_spr|RAD_SPR2
		dc.l radar_off0_spr|RAD_SPR2
		dc.l radar_off1_spr|RAD_SPR2
		dc.l radar_off0_spr|RAD_SPR2
		dc.l radar_off1_spr|RAD_SPR2
		dc.l radar_off0_spr|RAD_SPR2
		dc.l radar_off1_spr|RAD_SPR2
		dc.l radar_off2_spr|RAD_SPR2
		dc.l radar_off3_spr|RAD_SPR2
		dc.l radar_off4_spr|RAD_SPR2
		dc.l radar_off5_spr|RAD_SPR2
		dc.l radar_off6_spr|RAD_SPR2
		dc.l radar_off7_spr|RAD_SPR2
		dc.l radar_off8_spr|RAD_SPR2
		dc.l radar_off9_spr|RAD_SPR2
		dc.l radar_offA_spr|RAD_SPR2
		dc.l radar_offB_spr|RAD_SPR3
		dc.l 0	
radar_on_spr:	
		dc.l radar_offB_spr|RAD_SPR2
		dc.l radar_offA_spr|RAD_SPR2
		dc.l radar_off9_spr|RAD_SPR2
		dc.l radar_off8_spr|RAD_SPR2
		dc.l radar_off7_spr|RAD_SPR2
		dc.l radar_off6_spr|RAD_SPR2
		dc.l radar_off5_spr|RAD_SPR2
		dc.l radar_off4_spr|RAD_SPR2
		dc.l radar_off3_spr|RAD_SPR2
		dc.l radar_off2_spr|RAD_SPR2
		dc.l radar_off1_spr|RAD_SPR2
		dc.l radar_off0_spr|RAD_SPR2
		dc.l radar_off1_spr|RAD_SPR2
		dc.l radar_off0_spr|RAD_SPR2
		dc.l radar_off1_spr|RAD_SPR2
		dc.l radar_off0_spr|RAD_SPR2
		dc.l radar_off1_spr|RAD_SPR2
		dc.l radar_off0_spr|RAD_SPR2
		dc.l radar_offB_spr|RAD_SPR4
		dc.l 0			
; ---------------------------------------------------------------------------	
barea_cur_cfgs:
		dc.l barea_spr_cfg2
		dc.l word_6502A
		dc.l word_6505C
		dc.l word_6508E
		dc.l word_650C0
		dc.l word_650F2
		dc.l word_65124
		dc.l word_65156
		dc.l word_65188
		dc.l word_651BA
		dc.l word_651EC
		dc.l word_6521E
		dc.l word_65250
		dc.l word_65282
		dc.l word_652B4
		dc.l barea_spr_cfg3
; ---------------------------------------------------------------------------		
bmenu_info_spr:
		dc.l $A00078
		dc.l price_spr_cfg
		dc.l price_spr
		dc.l price_spr
		dc.l $A00098
		dc.l dmg_en_spr_cfg
		dc.l damage_spr
		dc.l energy_spr
		dc.l $A000B8
		dc.l armor_spr_cfg
		dc.l armor_spr
		dc.l armor_spr
; ---------------------------------------------------------------------------
bm_icons_off:
		dc.l $200030
		dc.l word_4A1E2
bm_icons_off1:
		dc.l $400030
		dc.l word_4A1F0
		dc.l $600030
		dc.l word_4A1FE
		dc.l $200048
		dc.l word_4A20C
		dc.l $400048
		dc.l word_4A21A
		dc.l $600048
		dc.l word_4A228
		dc.l $200060
		dc.l word_4A236
		dc.l $400060
		dc.l word_4A244
		dc.l $600060
		dc.l word_4A252
		dc.l $200078
		dc.l word_4A260
		dc.l $400078
		dc.l word_4A26E
		dc.l $600078
		dc.l word_4A27C
		dc.l $200090
		dc.l word_4A28A
		dc.l $400090
		dc.l word_4A298
		dc.l $600090
		dc.l word_4A2A6
		dc.l $2000A8
		dc.l word_4A2B4
		dc.l $4000A8
		dc.l word_4A2C2
		dc.l $6000A8
		dc.l word_4A2D0	
; ---------------------------------------------------------------------------		
starp_spr_list:
		dc.l $200030
		dc.l word_4A5EE
		dc.l $400030
		dc.l word_4A5FC
		dc.l $600030
		dc.l word_4A60A
		dc.l $200048
		dc.l word_4A618
		dc.l $400048
		dc.l word_4A626
		dc.l $600048
		dc.l word_4A634
		dc.l $200060
		dc.l word_4A642
		dc.l $400060
		dc.l word_4A650
		dc.l $600060
		dc.l word_4A65E
		dc.l $200078
		dc.l word_4A66C
		dc.l $400078
		dc.l word_4A67A
		dc.l $600078
		dc.l word_4A688
		dc.l $200090
		dc.l $400090
		dc.l $600090
		dc.l $2000A8
		dc.l $4000A8
		dc.l $6000A8		
; ---------------------------------------------------------------------------